System.ServiceModel 4.0.0.0 System.Enum

The dead-letter queue is a queue on the queue manager of the sending application for expired messages that have failed to be delivered. The enumeration specifies the type of dead-letter queue to use. The values are:

None: No dead-letter queue is required. If a message fails delivery, no record of it is maintained in the dead-letter queue. This is the default value when is set to false.

System: The system-wide, dead-letter queue is used to record messages that fail delivery. MSMQ has a transactional, system, dead-letter queue and a non-transactional, system, dead-letter queue to record expired messages that failed delivery from transactional and non-transactional queues, respectively. This is the default value when is set to true.

Custom: The queue specified in the is used to record messages that fail delivery.

A message can fail to reach the receiving application for any of the following reasons:

A transactional message is sent to a non-transactional queue.

A non-transactional message is sent to a transactional queue.

An unauthenticated message is sent to a queue that accepts only authenticated messages.

An unencrypted message is sent to a queue that accepts only encrypted messages.

The message's time-to-live value expires before the message is delivered to a receiver.

The message storage quota of the target computer or the storage quota of the destination queue is exceeded, or there is no available storage space on the target computer when the message arrives.

The sender does not have the access rights required to place the message in the destination queue.

The digital signature attached to the message is not valid.

An encrypted message cannot be decrypted by the destination queue manager.

The destination queue is purged or deleted before the message is retrieved.

Specifies the type of dead-letter queue to be used.

- Field
  4.0.0.0
  System.ServiceModel.DeadLetterQueue

  Custom dead-letter queue.

- Field
  4.0.0.0
  System.ServiceModel.DeadLetterQueue

  No dead-letter queue is to be used.

- Field
  4.0.0.0
  System.ServiceModel.DeadLetterQueue

  Use the system-wide, dead-letter queue.